Bug 451638 - circular obsoletes in RHEL Desktop Workstation v. 5 channel
circular obsoletes in RHEL Desktop Workstation v. 5 channel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openib (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Doug Ledford
: ZStream
Depends On: 448772
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 07:52 EDT by RHEL Product and Program Management
Modified: 2008-08-28 09:57 EDT (History)
10 users (show)

See Also:
Fixed In Version: RHBA-2008-0565
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 524716 (view as bug list)
Environment:
Last Closed: 2008-07-11 04:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2008-06-16 07:52:05 EDT
This bug has been copied from bug #448772 and has been proposed
to be backported to 5.2 z-stream (EUS).
Comment 4 Gurhan Ozen 2008-07-09 16:40:05 EDT
Verified to work:
# yum --disablerepo=* --enablerepo=rhel5.2 --enablerepo=rhel update
Loading "rhnplugin" plugin
Loading "security" plugin
This system is not registered with RHN.
RHN support will be disabled.
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package openib-tvflash.x86_64 0:0.9.2-6.el5 set to be updated
---> Package openib-mstflint.x86_64 0:1.2-6.el5 set to be updated
---> Package openib-perftest.x86_64 0:1.2-6.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 openib-mstflint         x86_64     1.2-6.el5        rhel              180 k
     replacing  mstflint.x86_64 1.3-1.el5

 openib-perftest         x86_64     1.2-6.el5        rhel               69 k
     replacing  perftest.x86_64 1.2-10.el5

 openib-tvflash          x86_64     0.9.2-6.el5      rhel               37 k
     replacing  tvflash.x86_64 0.9.0-2.el5


Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 286 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: openib-tvflash               ######################### [1/6] 
  Installing: openib-mstflint              ######################### [2/6] 
  Installing: openib-perftest              ######################### [3/6] 
  Erasing   : tvflash                      ######################### [4/6] 
  Erasing   : mstflint                     ######################### [5/6] 
  Erasing   : perftest                     ######################### [6/6] 

Installed: openib-mstflint.x86_64 0:1.2-6.el5 openib-perftest.x86_64 0:1.2-6.el5
openib-tvflash.x86_64 0:0.9.2-6.el5
Replaced: mstflint.x86_64 0:1.3-1.el5 perftest.x86_64 0:1.2-10.el5
tvflash.x86_64 0:0.9.0-2.el5
Complete!

# yum --disablerepo=* --enablerepo=rhel5.2 --enablerepo=rhel update
Loading "rhnplugin" plugin
Loading "security" plugin
This system is not registered with RHN.
RHN support will be disabled.
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package mstflint.x86_64 0:1.3-1.el5 set to be updated
---> Package tvflash.x86_64 0:0.9.0-2.el5 set to be updated
---> Package perftest.x86_64 0:1.2-10.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 mstflint                x86_64     1.3-1.el5        rhel5.2           162 k
     replacing  openib-mstflint.x86_64 1.2-6.el5

 perftest                x86_64     1.2-10.el5       rhel5.2            72 k
     replacing  openib-perftest.x86_64 1.2-6.el5

 tvflash                 x86_64     0.9.0-2.el5      rhel5.2            42 k
     replacing  openib-tvflash.x86_64 0.9.2-6.el5


Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 276 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: mstflint                     ######################### [1/6] 
  Installing: tvflash                      ######################### [2/6] 
  Installing: perftest                     ######################### [3/6] 
  Erasing   : openib-mstflint              ######################### [4/6] 
  Erasing   : openib-tvflash               ######################### [5/6] 
  Erasing   : openib-perftest              ######################### [6/6] 

Installed: mstflint.x86_64 0:1.3-1.el5 perftest.x86_64 0:1.2-10.el5
tvflash.x86_64 0:0.9.0-2.el5
Replaced: openib-mstflint.x86_64 0:1.2-6.el5 openib-perftest.x86_64 0:1.2-6.el5
openib-tvflash.x86_64 0:0.9.2-6.el5
Complete!

# yum --disablerepo=* --enablerepo=rhel5.2 --enablerepo=rhel update
Loading "rhnplugin" plugin
Loading "security" plugin
This system is not registered with RHN.
RHN support will be disabled.
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package openib-tvflash.x86_64 0:0.9.2-6.el5 set to be updated
---> Package openib-mstflint.x86_64 0:1.2-6.el5 set to be updated
---> Package openib-perftest.x86_64 0:1.2-6.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 openib-mstflint         x86_64     1.2-6.el5        rhel              180 k
     replacing  mstflint.x86_64 1.3-1.el5

 openib-perftest         x86_64     1.2-6.el5        rhel               69 k
     replacing  perftest.x86_64 1.2-10.el5

 openib-tvflash          x86_64     0.9.2-6.el5      rhel               37 k
     replacing  tvflash.x86_64 0.9.0-2.el5


Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 286 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: openib-tvflash               ######################### [1/6] 
  Installing: openib-mstflint              ######################### [2/6] 
  Installing: openib-perftest              ######################### [3/6] 
  Erasing   : tvflash                      ######################### [4/6] 
  Erasing   : mstflint                     ######################### [5/6] 
  Erasing   : perftest                     ######################### [6/6] 

Installed: openib-mstflint.x86_64 0:1.2-6.el5 openib-perftest.x86_64 0:1.2-6.el5
openib-tvflash.x86_64 0:0.9.2-6.el5
Replaced: mstflint.x86_64 0:1.3-1.el5 perftest.x86_64 0:1.2-10.el5
tvflash.x86_64 0:0.9.0-2.el5
Complete!

The above was using just rhel5.1 and 5.2 repos. When all repos, which included
the zstream repos were enabled the problem went away:


# yum update
Loading "rhnplugin" plugin
Loading "security" plugin
This system is not registered with RHN.
RHN support will be disabled.
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package mstflint.x86_64 0:1.3-1.el5 set to be updated
---> Package tvflash.x86_64 0:0.9.0-2.el5 set to be updated
---> Package perftest.x86_64 0:1.2-10.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 mstflint                x86_64     1.3-1.el5        rhel5.2           162 k
     replacing  openib-mstflint.x86_64 1.2-6.el5

 perftest                x86_64     1.2-10.el5       rhel5.2            72 k
     replacing  openib-perftest.x86_64 1.2-6.el5

 tvflash                 x86_64     0.9.0-2.el5      rhel5.2            42 k
     replacing  openib-tvflash.x86_64 0.9.2-6.el5


Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 276 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: mstflint                     ######################### [1/6] 
  Installing: tvflash                      ######################### [2/6] 
  Installing: perftest                     ######################### [3/6] 
  Erasing   : openib-mstflint              ######################### [4/6] 
  Erasing   : openib-tvflash               ######################### [5/6] 
  Erasing   : openib-perftest              ######################### [6/6] 

Installed: mstflint.x86_64 0:1.3-1.el5 perftest.x86_64 0:1.2-10.el5
tvflash.x86_64 0:0.9.0-2.el5
Replaced: openib-mstflint.x86_64 0:1.2-6.el5 openib-perftest.x86_64 0:1.2-6.el5
openib-tvflash.x86_64 0:0.9.2-6.el5
Complete!

# yum update
Loading "rhnplugin" plugin
Loading "security" plugin
This system is not registered with RHN.
RHN support will be disabled.
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update
Comment 6 errata-xmlrpc 2008-07-11 04:52:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0565.html

Note You need to log in before you can comment on or make changes to this bug.